#include "Vram.h"
#include "VVram.h"
#include "CopyMemory.h"
#include "Chars.h"

void InitVram()
{
    ClearScreen();
}


ptr<byte> Put2(ptr<byte> pVram, byte c)
{
    repeat (2) {
        repeat (2) {
            pVram = Put(pVram, c);
            ++c;
        }
        pVram += VramRowSize - 2 * VramStep;
    }
    return pVram + 2 * VramStep - VramRowSize * 2;
}


ptr<byte> Erase2(ptr<byte> pVram)
{
    repeat (2) {
        repeat (2) {
            pVram = Put(pVram, Char_Space);
        }
        pVram += VramRowSize - 2 * VramStep;
    }
    return pVram + 2 * VramStep - VramRowSize * 2;
}


// ptr<byte> Put4(ptr<byte> pVram, ptr<byte> pBytes)
// {
//     repeat (4) {
//         repeat (4) {
//             pVram = Put(pVram, *pBytes);
//             ++pBytes;
//         }
//         pVram += VramRowSize - 4 * VramStep;
//     }
//     return pVram + 4 * VramStep - VramRowSize * 4;
// }
